#
# spec file for package rubygem-em-websocket
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-em-websocket
Version:        0.5.3
Release:        1.11
%define mod_name em-websocket
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/igrigorik/em-websocket
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        EventMachine based WebSocket server
License:        MIT
Group:          Development/Languages/Ruby

%description
EventMachine based WebSocket server.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.rdoc LICENCE README.md" \
  -f

%gem_packages

%changelog
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.5.3
  see installed CHANGELOG.rdoc
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 0.5.2
  see installed CHANGELOG.rdoc
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 0.5.1
  - new features:
  - Support for receiving binary messages
  - changed:
  - Allow additional close codes to be sent by apps
  - Raise better errors on missing Sec-WebSocket-Key2
  - Updated http_parser.rb dependency to 0.6.0
  - bug fixes:
  - Abort if HTTP request URI is invalid
  - Force close connections that have been sent a close handshake after a timeout
  - improved spec compliance on:
  - Missing continuation frames
  - Fragmented control frames
  - Close behaviour after protocol errors
* Sun Jun 16 2013 coolo@suse.com
- updated to version 0.5.0
  - new features:
  - onclose handler is now passed a hash containing  was_clean (set to true in drafts 03 and above when a connection is closed with a closing handshake, either by the server or the client), the close code, and reason (drafts 06 and above). Close code 1005 indicates that no code was supplied, and 1006 that the connection was closed abnormally.
  - use Connection#support_close_codes? to easily check whether close codes are supported by the WebSocket protocol (drafts 06 and above)
  - closes connection with 1007 close code if text frame contains invalid UTF8
  - added Handshake#secure? for checking whether the connection is secure (either ssl or behind an ssl proxy)
  - changed:
  - Defaults to sending no close code rather than 1000 (consistent with browsers)
  - Allows sending a 3xxx close code
  - Renamed Connection#close_websocket to Connection#close (again for consistency with browsers). Old method is available till 0.6.
  - Sends reasons with internally generated closure (previously only sent code)
  - Echos close code when replying to close handshake
  - new features:
  - on_open handler is now passed a handshake object which exposes the request headers, path, and query parameters
  - Easily access the protocol version via Handshake#protocol_version
  - Easily access the origin via Handshake#origin
  - changed:
  - Removed Connection#request - change to using handshake passed to on_open
  - internals:
  - Uses the http_parser.rb gem
* Sun Oct 23 2011 aduffeck@suse.com
- update to v0.3.1 (required by websocket-rack)
* Fri Jun 25 2010 mrueckert@suse.de
- initial package
